package com.ruoyi.ibs.draw.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ibs.draw.domain.dto.draw.LayerGridDTO;
import com.ruoyi.ibs.draw.domain.dto.grid.DrawGridListDTO;
import com.ruoyi.ibs.draw.domain.entity.DrawGrid;
import com.ruoyi.ibs.draw.domain.vo.DrawGridListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2024/12/20
 **/
@Mapper
public interface DrawGridMapper extends BaseMapper<DrawGrid> {

    List<DrawGridListVO> getGridList(DrawGridListDTO drawGridListDTO);

    List<DrawGridListVO> getGridListByManager(DrawGridListDTO drawGridListDTO);

    Long getGridCount(@Param("deptId") Long deptId,@Param("opsDept") String opsDept);

    Long getGridCountByManager(@Param("userName") String userName);

    Long getCustCount(@Param("deptId") Long deptId, @Param("custType") String custType,@Param("opsDept") String opsDept);

    Long getCustCountByManager(@Param("userName") String userName, @Param("custType") String custType);

    List<DrawGrid> getGridListByOpsAndLayer(LayerGridDTO layerGridDTO);

}
